Appcelerator Studio - 升级后不加载

我刚刚升级到新版本的Appcelerator Studio,现在当我尝试启动它时出现错误 .

当我启动应用程序时,我被要求提供我的电子邮件和密码,输入凭据后,我收到以下错误消息:

Login Error

module.js:327
  throw err;
  ^

Error: Cannot find module 'fstream'
     at Function.Module._resolveFilename (module.js:325:15)
     at Function.Module._load (module.js:276:25)
     at Module.require (module.js:353:17)
     at require (internal/module.js:12:17)
     at Object.<anonymous> (/usr/local/node_modules/appcelerator/node_modules/tar/lib/entry.js:14:15)
     at Module._compile (module.js:387:26)
     at Object.Module._extensions.js (module.js:404:10)
     at Module.load (module.js:343:32)
     at Function.Module._load (module.js:300:12)
     at Module.require (module.js:353:17)

我也尝试从网站下载安装程序并重新安装 - 没有帮助 .

我在MAC OS X上运行 .

回答(2)

3 years ago

我也有这个,认为这是我系统中的某种问题,但我会报告 .

您可以通过重新安装Appcelerator CLI来解决此问题:

sudo npm i -g appcelerator
appc use 5.2.0 --force

3 years ago

我试图重新安装cli并得到了这个:

Annas-iMac:bin annakozy$ sudo npm i -g appcelerator
Password:
npm WARN install:object-assign ENOENT: no such file or directory, rename '/usr/local/etc/lib/node_modules/appcelerator/node_modules/got/node_modules/object-assign' -> '/usr/local/etc/lib/node_modules/appcelerator/node_modules/got/node_modules/object-assign'
npm WARN install:ansi-regex ENOENT: no such file or directory, rename '/usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-regex' -> '/usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-regex'
npm WARN install:ansi-styles ENOENT: no such file or directory, rename '/usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-styles' -> '/usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-styles'
npm WARN install:supports-color ENOENT: no such file or directory, rename '/usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier/node_modules/supports-color' -> '/usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier/node_modules/supports-color' object-assign@3.0.0 node_modules/appcelerator/node_modules/got/node_modules/object-assign -> node_modules/appcelerator/node_modules/got/node_modules/object-assign ansi-regex@2.0.0 node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-regex -> node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-regex ansi-styles@2.2.0 node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-styles -> node_modules/appcelerator/node_modules/update-notifier/node_modules/ansi-styles has-ansi@2.0.0 node_modules/appcelerator/node_modules/update-notifier/node_modules/has-ansi -> node_modules/appcelerator/node_modules/update-notifier/node_modules/has-ansi strip-ansi@3.0.1 node_modules/appcelerator/node_modules/update-notifier/node_modules/strip-ansi -> node_modules/appcelerator/node_modules/update-notifier/node_modules/strip-ansi supports-color@2.0.0 node_modules/appcelerator/node_modules/update-notifier/node_modules/supports-color -> node_modules/appcelerator/node_modules/update-notifier/node_modules/supports-color chalk@1.1.1 node_modules/appcelerator/node_modules/update-notifier/node_modules/chalk -> node_modules/appcelerator/node_modules/update-notifier/node_modules/chalk - /usr/local/etc/lib/node_modules/appcelerator/node_modules/update-notifier node_modules/appcelerator/node_modules/update-notifier /usr/local/etc/lib └── (empty)

npm ERR! code 1